## ledger 1.0.1

=== DESCRIPTION ===
Package: ledger
Type: Package
Title: Utilities for Importing Data from Plaintext Accounting Files
Version: 1.0.1
Author: Trevor L Davis
Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
URL: https://github.com/trevorld/r-ledger
BugReports: https://github.com/trevorld/r-ledger/issues
Description: Utilities for querying plain text accounting files from 'Ledger', 'HLedger', and 'Beancount'.
Imports: dplyr (>= 0.7.0), rio, rlang, tidyr (>= 0.7.0), tools
Suggests: covr, testthat
SystemRequirements: ledger (>= 3.1), hledger (>= 1.4), beancount (>=
        2.0)
License: MIT + file LICENSE
RoxygenNote: 6.1.0
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2018-08-24 16:54:49 UTC; trevorld
Repository: CRAN
Date/Publication: 2018-08-30 13:30:02 UTC

## ledger 2.0.0

=== DESCRIPTION ===
Package: ledger
Type: Package
Title: Utilities for Importing Data from Plain Text Accounting Files
Version: 2.0.0
Authors@R: c(person("Trevor L", "Davis", role = c("aut", "cre"), email="trevor.l.davis@gmail.com"),
    person("Jenya", "Sovetkin", email = "e.sovetkin@gmail.com", role="ctb"))
URL: https://github.com/trevorld/r-ledger
BugReports: https://github.com/trevorld/r-ledger/issues
Description: Utilities for querying plain text accounting files from 'Ledger', 'HLedger', and 'Beancount'.
Imports: dplyr (>= 0.7.0), rio, rlang, stringr, tidyr (>= 0.7.0),
        tibble, tidyselect, tools
Suggests: covr, testthat
SystemRequirements: ledger (>= 3.1), hledger (>= 1.4), beancount (>=
        2.0)
License: MIT + file LICENSE
RoxygenNote: 6.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2019-01-15 18:54:15 UTC; trevorld
Author: Trevor L Davis [aut, cre],
  Jenya Sovetkin [ctb]
Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
Repository: CRAN
Date/Publication: 2019-01-15 21:10:03 UTC

## ledger 2.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ledger
 Type: Package
 Title: Utilities for Importing Data from Plain Text Accounting Files
-Version: 2.0.0
+Version: 2.0.1
 Authors@R: c(person("Trevor L", "Davis", role = c("aut", "cre"), email="trevor.l.davis@gmail.com"),
     person("Jenya", "Sovetkin", email = "e.sovetkin@gmail.com", role="ctb"))
 URL: https://github.com/trevorld/r-ledger
@@ -16,9 +16,9 @@
 RoxygenNote: 6.1.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2019-01-15 18:54:15 UTC; trevorld
+Packaged: 2019-03-22 18:27:23 UTC; trevorld
 Author: Trevor L Davis [aut, cre],
   Jenya Sovetkin [ctb]
 Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-01-15 21:10:03 UTC
+Date/Publication: 2019-03-22 18:50:03 UTC

## ledger 2.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ledger
 Type: Package
 Title: Utilities for Importing Data from Plain Text Accounting Files
-Version: 2.0.1
+Version: 2.0.2
 Authors@R: c(person("Trevor L", "Davis", role = c("aut", "cre"), email="trevor.l.davis@gmail.com"),
     person("Jenya", "Sovetkin", email = "e.sovetkin@gmail.com", role="ctb"))
 URL: https://github.com/trevorld/r-ledger
@@ -16,9 +16,9 @@
 RoxygenNote: 6.1.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2019-03-22 18:27:23 UTC; trevorld
+Packaged: 2019-09-03 05:22:03 UTC; trevorld
 Author: Trevor L Davis [aut, cre],
   Jenya Sovetkin [ctb]
 Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-03-22 18:50:03 UTC
+Date/Publication: 2019-09-03 05:50:02 UTC

## ledger 2.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ledger
 Type: Package
 Title: Utilities for Importing Data from Plain Text Accounting Files
-Version: 2.0.2
+Version: 2.0.4
 Authors@R: c(person("Trevor L", "Davis", role = c("aut", "cre"), email="trevor.l.davis@gmail.com"),
     person("Jenya", "Sovetkin", email = "e.sovetkin@gmail.com", role="ctb"))
 URL: https://github.com/trevorld/r-ledger
@@ -16,9 +16,9 @@
 RoxygenNote: 6.1.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2019-09-03 05:22:03 UTC; trevorld
+Packaged: 2019-10-21 00:54:18 UTC; trevorld
 Author: Trevor L Davis [aut, cre],
   Jenya Sovetkin [ctb]
 Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-09-03 05:50:02 UTC
+Date/Publication: 2019-10-21 04:50:02 UTC

## ledger 2.0.6

=== DESCRIPTION ===
Package: ledger
Type: Package
Title: Utilities for Importing Data from Plain Text Accounting Files
Version: 2.0.6
Authors@R: c(person("Trevor L", "Davis", role = c("aut", "cre"), email="trevor.l.davis@gmail.com"),
    person("Jenya", "Sovetkin", email = "e.sovetkin@gmail.com", role="ctb"))
URL: https://github.com/trevorld/r-ledger,
        https://trevorldavis.com/R/ledger
BugReports: https://github.com/trevorld/r-ledger/issues
Description: Utilities for querying plain text accounting files from 'Ledger', 'HLedger', and 'Beancount'.
Imports: dplyr (>= 0.7.0), rio, rlang, stringr, tidyr (>= 0.7.0),
        tibble, tidyselect, tools
Suggests: covr, testthat
SystemRequirements: ledger (>= 3.1), hledger (>= 1.2), beancount (>=
        2.0)
License: MIT + file LICENSE
RoxygenNote: 7.0.2
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-02-16 04:24:36 UTC; trevorld
Author: Trevor L Davis [aut, cre],
  Jenya Sovetkin [ctb]
Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
Repository: CRAN
Date/Publication: 2020-02-16 05:50:03 UTC

## ledger 2.0.7

=== DESCRIPTION ===
Package: ledger
Type: Package
Title: Utilities for Importing Data from Plain Text Accounting Files
Version: 2.0.7
Authors@R: c(person("Trevor L", "Davis", role = c("aut", "cre"), email="trevor.l.davis@gmail.com"),
    person("Jenya", "Sovetkin", role="ctb"),
    person("Chris", "Lloyd", role="ctb"))
URL: https://github.com/trevorld/r-ledger,
        https://trevorldavis.com/R/ledger
BugReports: https://github.com/trevorld/r-ledger/issues
Description: Utilities for querying plain text accounting files from 'Ledger', 'HLedger', and 'Beancount'.
Imports: dplyr (>= 0.7.0), rio, rlang, stringr, tidyr (>= 0.7.0),
        tibble, tidyselect, tools
Suggests: covr, testthat
SystemRequirements: ledger (>= 3.1), hledger (>= 1.2), beancount (>=
        2.0)
License: MIT + file LICENSE
RoxygenNote: 7.1.0
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-05-18 06:56:22 UTC; trevorld
Author: Trevor L Davis [aut, cre],
  Jenya Sovetkin [ctb],
  Chris Lloyd [ctb]
Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
Repository: CRAN
Date/Publication: 2020-05-18 08:20:07 UTC

## ledger 2.0.9

=== DESCRIPTION ===
Package: ledger
Type: Package
Title: Utilities for Importing Data from Plain Text Accounting Files
Version: 2.0.9
Authors@R: c(person("Trevor L", "Davis", role = c("aut", "cre"), email="trevor.l.davis@gmail.com"),
    person("Jenya", "Sovetkin", role="ctb"),
    person("Chris", "Lloyd", role="ctb"))
URL: https://github.com/trevorld/r-ledger,
        https://trevorldavis.com/R/ledger/
BugReports: https://github.com/trevorld/r-ledger/issues
Description: Utilities for querying plain text accounting files from 'Ledger', 'HLedger', and 'Beancount'.
Imports: dplyr (>= 0.7.0), rlang, stringr, tidyr (>= 0.7.0), tibble,
        tidyselect, tools
Suggests: rio, testthat
SystemRequirements: ledger (>= 3.1), hledger (>= 1.2), beancount (>=
        2.0)
License: MIT + file LICENSE
RoxygenNote: 7.1.2
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2021-11-12 06:24:14 UTC; trevorld
Author: Trevor L Davis [aut, cre],
  Jenya Sovetkin [ctb],
  Chris Lloyd [ctb]
Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
Repository: CRAN
Date/Publication: 2021-11-12 06:40:02 UTC

## ledger 2.0.11

=== DESCRIPTION ===
Package: ledger
Type: Package
Title: Utilities for Importing Data from Plain Text Accounting Files
Version: 2.0.11
Authors@R: c(person("Trevor L.", "Davis", role=c("aut", "cre"),
             email="trevor.l.davis@gmail.com",
             comment = c(ORCID = "0000-0001-6341-4639")),
    person("Jenya", "Sovetkin", role="ctb"),
    person("Chris", "Lloyd", role="ctb"))
URL: https://github.com/trevorld/r-ledger,
        https://trevorldavis.com/R/ledger/
BugReports: https://github.com/trevorld/r-ledger/issues
Description: Utilities for querying plain text accounting files from 'Ledger', 'HLedger', and 'Beancount'.
Imports: dplyr (>= 0.7.0), rlang, stringr, tidyr (>= 0.7.0), tibble,
        tidyselect (>= 1.2.0), tools
Suggests: rio, testthat
SystemRequirements: ledger (>= 3.1), hledger (>= 1.2), beancount (>=
        2.0)
License: MIT + file LICENSE
RoxygenNote: 7.3.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2024-05-20 07:27:09 UTC; trevorld
Author: Trevor L. Davis [aut, cre] (<https://orcid.org/0000-0001-6341-4639>),
  Jenya Sovetkin [ctb],
  Chris Lloyd [ctb]
Maintainer: Trevor L. Davis <trevor.l.davis@gmail.com>
Repository: CRAN
Date/Publication: 2024-05-20 12:20:05 UTC

## ledger 3.0.0~20100623+eda6cbd

=== lib/Makefile ===
# Uncomment these if you are on OS X and want to build universal libraries.
# This is only important if you intend to produce a Ledger binary for
# installation.

STOW_ROOT	= /usr/local/stow
PRODUCTS	= $(HOME)/Products

CC		= gcc-mp-4.5
CXX		= g++-mp-4.5
LD		= gcc-mp-4.5
CXX_VERSION	= 45
CPPFLAGS	= -D_GLIBCXX_DEBUG=1 -D_GLIBCXX_FULLY_DYNAMIC_STRING=1
CFLAGS		= $(CPPFLAGS) -g
LDFLAGS		= -g

BOOST_VERSION	= 1_43_0
BOOST_SOURCE	= boost_$(BOOST_VERSION)
BOOST_TOOLSET	= darwin
BOOST_DEFINES	= define=_GLIBCXX_DEBUG=1 define=_GLIBCXX_FULLY_DYNAMIC_STRING=1
#BOOST_FLAGS	= --architecture=x86 --address_model=32_64
BOOST_FLAGS	= --toolset=$(BOOST_TOOLSET) \
		  --build-type=complete --layout=versioned \
		  $(BOOST_DEFINES)
BOOST_DIR	= boost_$(BOOST_VERSION)-gcc$(CXX_VERSION)
BOOST_STOW	= $(STOW_ROOT)/$(BOOST_DIR)
BOOST_BUILD	= $(PRODUCTS)/$(BOOST_DIR)
ICU_FLAGS	= -sHAVE_ICU=1 -sICU_PATH=$(STOW_ROOT)/icu
BOOST_ICU_DIR	= boost_$(BOOST_VERSION)-icu-gcc$(CXX_VERSION)
BOOST_ICU_STOW	= $(STOW_ROOT)/$(BOOST_ICU_DIR)
BOOST_ICU_BUILD = $(PRODUCTS)/$(BOOST_ICU_DIR)

all: boost-build cppunit-build #icu-build boost-icu-build

boost-build:
	(cd $(BOOST_SOURCE) && \
	bjam debug --prefix=$(BOOST_STOW) --build-dir=$(BOOST_BUILD) \
	    $(BOOST_FLAGS) install)

cppunit-build:
	-(cd cppunit; make distclean)
	(cd cppunit; sh autogen.sh; \
	 ./configure CPPFLAGS="$(CPPFLAGS)" \
		     CFLAGS="$(CFLAGS)" \
		     LDFLAGS="$(LDFLAGS)" \
		     CC="$(CC)" CXX="$(CXX)" LD="$(LD)" \
		     --prefix=$(STOW_ROOT)/cppunit-gcc$(CXX_VERSION) \
		     --disable-doxygen --disable-dot && \
	 make install)

#icu-build:
#	-(cd icu/source; make distclean)
#	(cd icu/source; sh autogen.sh; \
#	 ./configure CPPFLAGS="$(CPPFLAGS)" \
#		     CFLAGS="$(CFLAGS)" \
#		     LDFLAGS="$(LDFLAGS)" \
#		     CC="$(CC)" CXX="$(CXX)" LD="$(LD)" \
#		     --enable-static --enable-debug \
#		     --prefix=$(STOW_ROOT)/icu-gcc$(CXX_VERSION) && \
#	 make install)
#
#boost-icu-build:
#	(cd $(BOOST_SOURCE) && \
#	bjam debug --prefix=$(BOOST_ICU_STOW) --build-dir=$(BOOST_ICU_BUILD) \
#	    $(BOOST_FLAGS) $(ICU_FLAGS) install)

clean:
	-rm -fr $(BOOST_STOW) $(BOOST_BUILD)
	-rm -fr $(BOOST_ICU_STOW) $(BOOST_ICU_BUILD)
	-rm -fr $(STOW_ROOT)/cppunit-gcc$(CXX_VERSION)
	-rm -fr $(STOW_ROOT)/icu-gcc$(CXX_VERSION)
	-(cd cppunit; make distclean)
	-(cd icu/source; make distclean)

lib-clean:
	-(cd cppunit; make distclean)
	-(cd icu/source; make distclean)

=== debian/changelog ===
ledger (3.0.0~20100623+eda6cbd-1) experimental; urgency=low

  * Git snapshot build for experimental, to give people a look at ledger
    3.0, and bed down the packaging.  Closes: #574090.
    - Switch to 3.0 (quilt) format, for shits 'n giggles.

 -- Matt Palmer <mpalmer@debian.org>  Fri, 10 Dec 2010 13:48:00 +1100

ledger (2.6.2-3) unstable; urgency=low

  * Ack NMU from Margarita Manterola, fixing #576660.
  * Apply patch to ledger.el from David Maus to fix some sort of reconciling
    buffer problem.  Closes: #605429.
  * Update docs to clarify that options in ~/.ledgerrc must be placed on
    separate lines.  Closes: #605810.
  * Update docs to remove unwarranted optimism about the --file option
    (It doesn't take a colon-separated list of files, and you can't specify
    it more than once).  Closes: #605807.
  * Bump standards version; no changes required.

 -- Matt Palmer <mpalmer@debian.org>  Fri, 10 Dec 2010 12:41:20 +1100

ledger (2.6.2-2.1) unstable; urgency=low

  * Non-maintainer upload to fix generation of unneeded dir.gz info file.
  * Changed debian/rules to remove /usr/share/info/dir before building the
    package.  Closes: #576660.

 -- Margarita Manterola <marga@debian.org>  Sat, 24 Apr 2010 19:06:01 +0000

ledger (2.6.2-2) unstable; urgency=low

  * CONSTipate gnucash.cc, textual.cc, and option.cc, so it builds with GCC
    4.4.  Thanks to Stefan Ebner for the patch.  Closes: #547303.
  * Install a man page (this will become redundant once 3.0 comes out, but
    until then...).  Thanks to Carl Worth for the manpage.  Closes: #540409.
  * Install emacs mode for ledger (ledger.el); untested, as I have no emacs
    fu, but here's hoping... Thanks to Kevin Ryde for the patch.
    Closes: #554040.
  * Bumped standards version; no changes required.

 -- Matt Palmer <mpalmer@debian.org>  Sat, 26 Dec 2009 10:38:50 +1100

ledger (2.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Matt Palmer <mpalmer@debian.org>  Tue, 30 Jun 2009 18:47:07 +1000

ledger (2.6.1-3) unstable; urgency=low

  * Put sample.dat and the scripts directory in examples.  Closes: #524976.
  * Build and install the HTML docs as well.  Just Because.

 -- Matt Palmer <mpalmer@debian.org>  Tue, 28 Apr 2009 19:52:52 +1000

ledger (2.6.1-2) unstable; urgency=low

  * Update README to point to new mailing list.  Closes: #513414
  * Build and install the PDF documentation.  Closes: #513416

 -- Matt Palmer <mpalmer@debian.org>  Sat, 31 Jan 2009 15:04:13 +1100

ledger (2.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Matt Palmer <mpalmer@debian.org>  Thu, 18 Sep 2008 10:11:27 +1000

ledger (2.6.0.90-1) unstable; urgency=low

  * Initial release (Closes: #405011)

 -- Matt Palmer <mpalmer@debian.org>  Tue, 10 Jun 2008 18:44:40 +1000

=== debian/control ===
Source: ledger
Section: utils
Priority: optional
Maintainer: Matt Palmer <mpalmer@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, libgmp3-dev, libpcre3-dev,
	libexpat1-dev, libofx-dev, libmpfr-dev, libboost-regex-dev,
	libboost-date-time-dev, libboost-filesystem-dev,
	libboost-iostreams-dev, libboost-serialization-dev, texinfo, texlive
Standards-Version: 3.9.1
Homepage: http://newartisans.com/software/ledger.html

Package: ledger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line double-entry accounting program
 Ledger is a powerful and flexible double-entry accounting system run
 entirely from the command line.  Your accounts ledger is stored in one or
 more plain-text files with a very simple and readable format, and ledger
 does the hard work of balancing your books and reporting.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man \
	            --infodir=\$${prefix}/share/info			  \
	            CFLAGS="$(CFLAGS)"  # LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	$(MAKE) doc/ledger.pdf
	$(MAKE) doc/ledger.html
	$(MAKE) doc/ledger.info

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	# Add here commands to install the package into debian/ledger.
	$(MAKE) DESTDIR=$(CURDIR)/debian/ledger install
	cp doc/ledger.pdf $(CURDIR)/debian/ledger/usr/share/doc/ledger
	cp -a doc/ledger.html $(CURDIR)/debian/ledger/usr/share/doc/ledger

	# Clean out some stuff that make install puts in that we don't want
	rm -rf $(CURDIR)/debian/ledger/usr/include
	rm -rf $(CURDIR)/debian/ledger/usr/lib
	rm -rf $(CURDIR)/debian/ledger/usr/share/info/dir

	# Install emacs mode for ledger.  Not byte compiled.  We don't
	# install timeclock.el since it comes with emacs already and in
	# particular the one with emacs 23.1 might be newer than with ledger
	cp -a lisp/*.el $(CURDIR)/debian/ledger/usr/share/emacs/site-lisp
	rm $(CURDIR)/debian/ledger/usr/share/emacs/site-lisp/timeclock.el

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installemacsen
	dh_installexamples
	dh_installinfo
	dh_installman
	dh_strip
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
